/******************************************************************************
 thxBaseConvHelpText.cc

	Copyright  1999 by John Lindal. All rights reserved.

 ******************************************************************************/

#include "thxHelpText.h"

const JCharacter* kTHXBaseConvHelpName  = "THXBaseConvHelp";
const JCharacter* kTHXBaseConvHelpTitle = "Base Conversion";

const JCharacter* kTHXBaseConvHelpText =

"<html>"

"<h3> Base Conversion </h3>"

"The Base Conversion window lets you convert between base 2, 8, 10, and 16.  "
"Simply enter the original value in the top text field and select the original "
"base from the top menu and the new base from the bottom menu.  The new value "
"will be displayed in the bottom text field.  You can select the text in the "
"bottom text field and copy it with Meta-C."
"<p>"
"If you enter a hexadecimal value in the top text field and prefix it with "
"<tt>0x</tt>, the top menu will automatically change to base 16."
"<p>"
"The <a href=jxhelp:THXExprHelp>Expression</a> window also accepts hexadecimal values "
"prefixed by <tt>0x</tt>, so you can convert from hex to decimal by simply typing "
"the number and pressing return."

"</html>"
;
