/******************************************************************************
 THXChangeLogText.cc

	Copyright  1998 by John Lindal. All rights reserved.

 ******************************************************************************/

#include "thxHelpText.h"

const JCharacter* kTHXChangeLogName  = "THXChangeLog";
const JCharacter* kTHXChangeLogTitle = "Changes from previous versions";

const JCharacter* kTHXChangeLogText =

"<html>"
"Please send all bug reports and suggestions for features to John Lindal."
"<p>"
"<a href=mailto:jafl@alice.wonderland.caltech.edu>"
"<address>jafl@alice.wonderland.caltech.edu</address>"
"</a>"
"<p>"
"<hr>"
"<p>"

"<h3> 1.0.3 </h3>"

"<b> <a href=jxhelp:THXExprHelp> Expressions </a> </b>"

"<p>"
"Fixed bug so Select All menu item and Clear All button on keypad won't crash "
"if the expression is a single, active input field."
"<p>"

"<h3> 1.0.2 </h3>"

"<b> <a href=jxhelp:THXExprHelp> Expressions </a> </b>"

"<p>"
"Fixed bug so E can be entered as a hexadecimal digit."
"<p>"

"<b> Miscellaneous </b>"

"<p>"
"Remembers configuration of File Chooser between invocations."
"<p>"

"<h3> 1.0.1 </h3>"

"<b> <a href=jxhelp:THXExprHelp> Expressions </a> </b>"

"<p>"
"Added option to print the tape."
"<p>"

"<b> <a href=jxhelp:THXPlotHelp> Plotting </a> </b>"

"<p>"
"Saves PostScript output file name separately for each graph."
"<p>"
"The Range dialog now initially contains the current range, if there is one.  "
"Otherwise, it defaults to the current scale."
"<p>"

"<b> Miscellaneous </b>"

"<p>"
"Changed shortcut of \"Plot function...\" to Meta-Shift-P for consistency, "
"so Meta-P can be the shortcut for \"Print...\""
"<p>"

"<h3> 1.0.0 </h3>"

"Initial release."
"</html>"
;
