/******************************************************************************
 thxFileVersions.h

	Version information for unstructured data files

	Copyright  1999 by John Lindal. All rights reserved.

 ******************************************************************************/

#ifndef _H_thxFileVersions
#define _H_thxFileVersions

#include <jTypes.h>

const JFileVersion kCurrentStateVersion = 6;

// version 6:
//	JX2DPlotWidget version number increased.
//	THXPlotDirector print name moved to JX2DPlotWidget.
// version 5:
//	Stores JXChooseSaveFile setup.
// version 4:
//	THXExprDirector and THXPlotDirector store print name.
//	JXHelpManager setup version incremented.
// version 3:
//	THXApp stores graph printer setup.
// version 2:
//	THXApp stores expression window geometry and JXHelpManager setup.
// version 1:
//	THXApp stores visibility of keypad.

#endif
