/******************************************************************************
 thxGlobals.h

	Copyright  1998 by John Lindal. All rights reserved.

 ******************************************************************************/

#ifndef _H_thxGlobals
#define _H_thxGlobals

// we include these for convenience

#include <jXGlobals.h>
#include "THXApp.h"

class THXMDIServer;
class JXPTPrinter;
class JXPSPrinter;

THXApp*				THXGetApplication();
THXMDIServer*		THXGetMDIServer();
JXPTPrinter*		THXGetTapePrinter();
JXPSPrinter*		THXGetGraphPrinter();

	// called by THXApp

void THXCreateGlobals(THXApp* app, const JCharacter* appSignature);
void THXDeleteGlobals();

	// called by Directors

const JCharacter*	THXGetWMClassInstance();
const JCharacter*	THXGetExprWindowClass();
const JCharacter*	THXGetPlotWindowClass();

#endif
