/******************************************************************************
 THXMDIServer.cc

	BASE CLASS = JXMDIServer

	Copyright  1998 by John Lindal. All rights reserved.

 ******************************************************************************/

#include "THXMDIServer.h"
#include "thxGlobals.h"
#include <JXDisplay.h>
#include <jAssert.h>

/******************************************************************************
 Constructor

 ******************************************************************************/

THXMDIServer::THXMDIServer
	(
	const JCharacter* signature
	)
	:
	JXMDIServer(signature)
{
}

/******************************************************************************
 Destructor

 ******************************************************************************/

THXMDIServer::~THXMDIServer()
{
}

/******************************************************************************
 HandleMDIRequest (virtual protected)

 ******************************************************************************/

void
THXMDIServer::HandleMDIRequest
	(
	const JCharacter*			dir,
	const JPtrArray<JString>&	argList
	)
{
	((THXGetApplication())->GetCurrentDisplay())->RaiseAllWindows();
}
