/******************************************************************************
 thxPixmaps.cc

	Copyright  1999 by John Lindal. All rights reserved.

 ******************************************************************************/

#include "thxPixmaps.h"


/* XPM */
static char * about_icon[] = {
"40 40 2 1",
" 	c None",
".	c #000000000000",
"                                        ",
"                                        ",
"           .........................    ",
"           .                            ",
"           .         ..                 ",
"           .        .  .                ",
"           .          .                 ",
"           .         .           .      ",
"           .        ....        ..      ",
"           .  .....        .     .      ",
"       ..  .     .         .     .      ",
"         . .    .        .....   .      ",
"         . .   .           .     .      ",
"          ..  .....        .    ...     ",
"          ..                            ",
"           .                            ",
"                                        ",
"                                        ",
"                                        ",
"      ..                                ",
"     .  .                               ",
"     .  . .             ..              ",
"        ..                .             ",
"        .              .  .             ",
"                     .  ..              ",
"       .             .  .               ",
"       .              ..      ..        ",
"       .                      .         ",
"    .......  .          .    .   .      ",
"       .    .               .   .       ",
"       .   .              ..   .   .    ",
"       .  .                .    . .     ",
"         .  ..                   .      ",
"        .  .  .                 .       ",
"       .   .  .                .        ",
"              . .                       ",
"              ..                        ",
"              .                         ",
"                                        ",
"                                        "};


/* XPM */
static char * setting_sun[] = {
"30 30 4 1",
" 	c #0000CCCCFFFF",
".	c #FFFF99990000",
"X	c #000000000000",
"o	c #000066660000",
"                              ",
"                              ",
"                              ",
"            ......            ",
"         ............         ",
"        ..............        ",
"       .............XX.XX     ",
"      .............XXXXXXX    ",
"     .............X...X.. X   ",
"    ......................    ",
"    ......................    ",
"   ........................   ",
"   ........................   ",
"   ........................   ",
"  ..........................  ",
"  .............X............  ",
"  ............XXX...........  ",
"  ............XXX...........  ",
"  .............X............  ",
"  ............XXX...........  ",
"  ...........X.X.X..........  ",
"   .........X..X..X........   ",
"   ............X...........   ",
"   ...........XXX..........   ",
"    ..........X.X.........    ",
"oooo.........X...X........oooo",
"oooooooooooooooooooooooooooooo",
"oooooooooooooooooooooooooooooo",
"oooooooooooooooooooooooooooooo",
"oooooooooooooooooooooooooooooo"};


/* XPM */
static char * plot[] = {
"30 30 3 1",
" 	c #FFFFFFFFFFFF",
".	c #000000000000",
"X	c #FFFF00000000",
"                              ",
"                              ",
"              .               ",
"             ...              ",
"            .....             ",
"              .               ",
"              .               ",
"              .               ",
"              .               ",
"              .      XXX      ",
"              .    XX   XX    ",
"              .   X       X   ",
"              .  X            ",
"              . X        .    ",
"              .X         ..   ",
"  ............X.............  ",
"             X.          ..   ",
"            X .          .    ",
"           X  .               ",
"  X       X   .               ",
"   XX   XX    .               ",
"     XXX      .               ",
"              .               ",
"              .               ",
"              .               ",
"              .               ",
"              .               ",
"              .               ",
"                              ",
"                              "};


/* XPM */
static char * base_conv[] = {
"30 30 2 1",
" 	c #CCCCCCCCCCCC",
".	c #000000000000",
"                              ",
"                              ",
"                              ",
"                              ",
"            ......            ",
"          ..      ..          ",
"         .          .         ",
"        .                     ",
"   ..      ...    .  .  .  .  ",
"  .  .     .     .. .. .. ..  ",
"  .  . . . .      .  .  .  .  ",
"  .  .  .  ...    .  .  .  .  ",
"  .  .  .  .      .  .  .  .  ",
"   ..  . . .      .  .  .  .  ",
"                              ",
"    .                    .    ",
"    .                    .    ",
"    .                    .    ",
"     .                  .     ",
"     .                  .     ",
"     .                  .     ",
"      .     .  ....    .      ",
"       .   ..  .      .       ",
"        .   .  ...   .        ",
"            .     .           ",
"            .     .           ",
"            .  ...            ",
"                              ",
"                              ",
"                              "};


/******************************************************************************
 Access functions

 ******************************************************************************/

JXPM
THXGetAboutIcon()
{
	return JXPM(about_icon);
}

JXPM
THXGetExprWindowIcon()
{
	return JXPM(setting_sun);
}

JXPM
THXGetPlotWindowIcon()
{
	return JXPM(plot);
}

JXPM
THXGetBaseConvWindowIcon()
{
	return JXPM(base_conv);
}
