/******************************************************************************
 thxPlotHelpText.cc

	Copyright  1998 by John Lindal. All rights reserved.

 ******************************************************************************/

#include "thxHelpText.h"

const JCharacter* kTHXPlotHelpName  = "THXPlotHelp";
const JCharacter* kTHXPlotHelpTitle = "Plotting Functions";

const JCharacter* kTHXPlotHelpText =

"<html>"

"<h3> Plotting Functions </h3>"

"When you select \"Plot function...\" from a menu, you will first get a dialog "
"asking you to enter the function to plot.  The independent variable is called "
"x, so for example, to plot the sine function, you would enter sin(x)."
"<p>"
"The menu lets you specify whether to create a new graph or to add the curve "
"to an existing graph.  The existing graphs are listed by displaying their "
"titles."
"<p>"
"The curve name is the initial name that will be associated with the curve in "
"the graph's legend."
"<p>"
"The initial range is the range to use when first displaying the curve.  "
"Once the graph is created, you can zoom in or out as far as you wish."

"<h3> Changing the appearance of a graph </h3>"

"You can change the scale of the graph in several ways.  The \"Change scale...\" "
"item on the Options menu opens a dialog for changing the axes ranges and switching "
"between linear and logarithmic scales.  Double-clicking on either axis also "
"opens this dialog.  Clicking and dragging inside the graph's frame zooms in "
"to show the selected region.  If you hold down the Meta key, "
"a nice looking scale will be chosen around the area of interest.  To return "
"the scale to the initial setting, select \"Reset scale\" from the Options menu."
"<p>"
"To change the other settings for a curve, either select \"Change curve options...\" "
"from the Options menu or double-click on the appropriate curve label in the "
"legend."
"<p>"
"You can edit the graph's title and axis labels by either selecting \"Change "
"labels...\" from the Options menu or double-clicking on the text."
"<p>"
"The range specifies what portion of the curves will be drawn.  This is useful "
"if you need to use a particular scale, but only want to show the function over "
"a part of the scale.  \"Copy scale to range\" sets the range to the current scale, "
"so when you zoom out, the portion of the curve that is drawn remains the same.  "
"\"Change range...\" opens a dialog so you can set the range directly.  \"Clear "
"range\" clears the range so the curves are always drawn to fill the window."
"<p>"
"Cursors help you estimate the position of various features on a curve.  To move "
"a cursor, simply click on it and then either drag it around or use the arrow keys.  "
"Holding down the Meta key while using the arrow keys makes the cursor move faster.  "
"If you turn on \"Dual cursors,\" the values of both cursors will be displayed "
"along with the distance between them.  \"Mark cursor\" saves the position of the "
"selected cursor in the Cursor Mark Values window and also draws a gray line at the "
"position so you can find it on the graph."

"<h3> Miscellaneous </h3>"

"Plot windows have their WM_CLASS set to THX-1138_Plot.  This can be used "
"to filter these windows out of a window manager's taskbar."

"</html>"
;
